geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jarek Gawor" <jga...@gmail.com>
Subject Re: svn commit: r656250 - in /geronimo/server/branches/2.1: ./ framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/ framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/
Date Wed, 14 May 2008 18:38:17 GMT
Donald,

Can you please run all unit tests at least before committing
dependency version updates? The rmock update is causing a few unit
failures in different modules.

Jarek

On Wed, May 14, 2008 at 8:26 AM,  <dwoods@apache.org> wrote:
> Author: dwoods
> Date: Wed May 14 05:26:49 2008
> New Revision: 656250
>
> URL: http://svn.apache.org/viewvc?rev=656250&view=rev
> Log:
> GERONIMO-4012 Add version properties for any multiple instance depends, like in trunk.  Upgrade to JLine 0.9.94. Use released level of rmock.  Reorg depends into groupings, with all GShell depends listed together.
>
> Modified:
>    geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/pom.xml
>    geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/geronimo-plugin.xml
>    geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/plan.xml
>    geronimo/server/branches/2.1/pom.xml
>
> Modified: geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/pom.xml
> URL: http://svn.apache.org/viewvc/geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/pom.xml?rev=656250&r1=656249&r2=656250&view=diff
> ==============================================================================
> --- geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/pom.xml (original)
> +++ geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/pom.xml Wed May 14 05:26:49 2008
> @@ -241,7 +241,7 @@
>                         <dependency>
>                             <groupId>jline</groupId>
>                             <artifactId>jline</artifactId>
> -                            <version>0.9.91</version>
> +                            <version>0.9.94</version>
>                             <type>jar</type>
>                             <import>classes</import>
>                         </dependency>
>
> Modified: geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/geronimo-plugin.xml
> URL: http://svn.apache.org/viewvc/geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/geronimo-plugin.xml?rev=656250&r1=656249&r2=656250&view=diff
> ==============================================================================
> --- geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/geronimo-plugin.xml (original)
> +++ geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/geronimo-plugin.xml Wed May 14 05:26:49 2008
> @@ -50,7 +50,7 @@
>         <dependency start="false">
>             <groupId>jline</groupId>
>             <artifactId>jline</artifactId>
> -            <version>0.9.91</version>
> +            <version>0.9.94</version>
>             <type>jar</type>
>         </dependency>
>         <dependency start="false">
>
> Modified: geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/plan.xml
> URL: http://svn.apache.org/viewvc/geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/plan.xml?rev=656250&r1=656249&r2=656250&view=diff
> ==============================================================================
> --- geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/plan.xml (original)
> +++ geronimo/server/branches/2.1/framework/configs/geronimo-gbean-deployer/src/it/j2ee-system/src/test/resources/META-INF/plan.xml Wed May 14 05:26:49 2008
> @@ -53,7 +53,7 @@
>       <dependency>
>         <groupId>jline</groupId>
>         <artifactId>jline</artifactId>
> -        <version>0.9.91</version>
> +        <version>0.9.94</version>
>         <type>jar</type>
>         <import>classes</import>
>       </dependency>
>
> Modified: geronimo/server/branches/2.1/pom.xml
> URL: http://svn.apache.org/viewvc/geronimo/server/branches/2.1/pom.xml?rev=656250&r1=656249&r2=656250&view=diff
> ==============================================================================
> --- geronimo/server/branches/2.1/pom.xml (original)
> +++ geronimo/server/branches/2.1/pom.xml Wed May 14 05:26:49 2008
> @@ -68,37 +68,28 @@
>         <geronimoSchemaVersion>1.2</geronimoSchemaVersion>
>
>         <!--
> -        Having a single well named property makes automatic updating for the weekly build much easier.
> +        Having a single well named version properties makes automatic updating for the weekly build much easier.
>         -->
>         <openejbVersion>3.0</openejbVersion>
> -
> -        <!--
> -        HACK: Used by uddi-db to execute the sql plugin with the Derby driver.
> -        -->
> +        <yokoVersion>1.0-r646887</yokoVersion>
>         <derbyVersion>10.2.2.0</derbyVersion>
> -
> -        <!--
> -        HACK: Used by jsp and servlet example configs to point to the tomcat deployer
> -        -->
>         <tomcatVersion>6.0.14</tomcatVersion>
> -
> -        <!--
> -        HACK: Used by uddi-jetty and uddi-tomcat config plans
> -        -->
>         <tranqlVendorsVersion>1.4</tranqlVendorsVersion>
> -
> -        <!--
> -        HACK: Used by geronimo-dojo
> -        -->
>         <dojoVersion>1.0.2</dojoVersion>
>         <dojoLegacyVersion>0.4.3</dojoLegacyVersion>
> -
>         <cxfVersion>2.0.2-incubator</cxfVersion>
> -
>         <axis2Version>1.3</axis2Version>
>         <axiomVersion>1.2.5</axiomVersion>
>         <springVersion>2.0.5</springVersion>
>         <plutoVersion>1.1.6-G643117</plutoVersion>
> +        <openjpaVersion>1.0.2</openjpaVersion>
> +        <xbeanVersion>3.3</xbeanVersion>
> +        <gshellVersion>1.0-alpha-1</gshellVersion>
> +        <gmavenVersion>1.0-rc-2</gmavenVersion>
> +        <minaVersion>1.1.5</minaVersion>
> +        <slf4jVersion>1.4.3</slf4jVersion>
> +        <groovyVersion>1.5.6</groovyVersion>
> +        <wadiVersion>2.0-M10</wadiVersion>
>
>         <wadiVersion>2.0-M10</wadiVersion>
>
> @@ -141,7 +132,6 @@
>
>     <dependencyManagement>
>         <dependencies>
> -
>             <dependency>
>                 <groupId>org.apache.geronimo.specs</groupId>
>                 <artifactId>geronimo-activation_1.1_spec</artifactId>
> @@ -315,12 +305,12 @@
>             <dependency>
>                 <groupId>org.apache.openjpa</groupId>
>                 <artifactId>openjpa</artifactId>
> -                <version>1.0.2</version>
> +                <version>${openjpaVersion}</version>
>             </dependency>
>             <dependency>
>                 <groupId>org.apache.openjpa</groupId>
>                 <artifactId>openjpa-persistence-jdbc</artifactId>
> -                <version>1.0.2</version>
> +                <version>${openjpaVersion}</version>
>             </dependency>
>
>             <dependency>
> @@ -332,25 +322,19 @@
>             <dependency>
>                 <groupId>org.apache.xbean</groupId>
>                 <artifactId>xbean-finder</artifactId>
> -                <version>3.3</version>
> +                <version>${xbeanVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.xbean</groupId>
>                 <artifactId>xbean-naming</artifactId>
> -                <version>3.3</version>
> +                <version>${xbeanVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.xbean</groupId>
>                 <artifactId>xbean-reflect</artifactId>
> -                <version>3.3</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>jline</groupId>
> -                <artifactId>jline</artifactId>
> -                <version>0.9.91</version>
> +                <version>${xbeanVersion}</version>
>             </dependency>
>
>             <dependency>
> @@ -380,7 +364,7 @@
>             <dependency>
>                 <groupId>aspectj</groupId>
>                 <artifactId>aspectjrt</artifactId>
> -                <version>1.5.2a</version>
> +                <version>1.5.3</version>
>             </dependency>
>
>             <!--
> @@ -396,7 +380,7 @@
>             <dependency>
>                 <groupId>com.agical.rmock</groupId>
>                 <artifactId>rmock</artifactId>
> -                <version>2.0.0-rc-6</version>
> +                <version>2.0.0</version>
>             </dependency>
>
>             <dependency>
> @@ -462,12 +446,6 @@
>             </dependency>
>
>             <dependency>
> -                <groupId>commons-io</groupId>
> -                <artifactId>commons-io</artifactId>
> -                <version>1.2</version>
> -            </dependency>
> -
> -            <dependency>
>                 <groupId>commons-logging</groupId>
>                 <artifactId>commons-logging</artifactId>
>                 <version>1.0.4</version>
> @@ -506,31 +484,31 @@
>             <dependency>
>                 <groupId>org.slf4j</groupId>
>                 <artifactId>slf4j-api</artifactId>
> -                <version>1.4.3</version>
> +                <version>${slf4jVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.slf4j</groupId>
>                 <artifactId>slf4j-jcl</artifactId>
> -                <version>1.4.3</version>
> +                <version>${slf4jVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.slf4j</groupId>
>                 <artifactId>slf4j-simple</artifactId>
> -                <version>1.4.3</version>
> +                <version>${slf4jVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.slf4j</groupId>
>                 <artifactId>slf4j-log4j12</artifactId>
> -                <version>1.4.3</version>
> +                <version>${slf4jVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.slf4j</groupId>
>                 <artifactId>jcl104-over-slf4j</artifactId>
> -                <version>1.4.3</version>
> +                <version>${slf4jVersion}</version>
>             </dependency>
>
>             <dependency>
> @@ -647,25 +625,25 @@
>             <dependency>
>                 <groupId>org.apache.yoko</groupId>
>                 <artifactId>yoko-core</artifactId>
> -                <version>1.0-r646887</version>
> +                <version>${yokoVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.yoko</groupId>
>                 <artifactId>yoko-spec-corba</artifactId>
> -                <version>1.0-r646887</version>
> +                <version>${yokoVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.yoko</groupId>
>                 <artifactId>yoko-rmi-spec</artifactId>
> -                <version>1.0-r646887</version>
> +                <version>${yokoVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.yoko</groupId>
>                 <artifactId>yoko-rmi-impl</artifactId>
> -                <version>1.0-r646887</version>
> +                <version>${yokoVersion}</version>
>             </dependency>
>
>             <dependency>
> @@ -699,6 +677,12 @@
>             </dependency>
>
>             <dependency>
> +                <groupId>commons-io</groupId>
> +                <artifactId>commons-io</artifactId>
> +                <version>1.2</version>
> +            </dependency>
> +
> +            <dependency>
>                 <groupId>commons-discovery</groupId>
>                 <artifactId>commons-discovery</artifactId>
>                 <version>0.4</version>
> @@ -791,6 +775,30 @@
>             </dependency>
>
>             <dependency>
> +                <groupId>commons-httpclient</groupId>
> +                <artifactId>commons-httpclient</artifactId>
> +                <version>3.0.1</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>junit</groupId>
> +                        <artifactId>junit</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>commons-codec</groupId>
> +                <artifactId>commons-codec</artifactId>
> +                <version>1.3</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>junit</groupId>
> +                        <artifactId>junit</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
>                 <groupId>portlet-api</groupId>
>                 <artifactId>portlet-api</artifactId>
>                 <version>1.0</version>
> @@ -802,6 +810,7 @@
>                 <version>1.0</version>
>             </dependency>
>
> +            <!-- Need a non-Sun RI version for Apache Harmony and IBM SDK -->
>             <dependency>
>                 <groupId>jstl</groupId>
>                 <artifactId>jstl</artifactId>
> @@ -897,6 +906,7 @@
>                     </exclusion>
>                 </exclusions>
>             </dependency>
> +
>             <dependency>
>                 <groupId>org.apache.openejb</groupId>
>                 <artifactId>openejb-javaagent</artifactId>
> @@ -993,6 +1003,7 @@
>                 <version>0.9rc4</version>
>             </dependency>
>
> +            <!-- Tomcat web container -->
>             <dependency>
>                 <groupId>org.apache.tomcat</groupId>
>                 <artifactId>jasper</artifactId>
> @@ -1053,6 +1064,7 @@
>                 <version>${tomcatVersion}</version>
>             </dependency>
>
> +            <!-- WADI support -->
>             <dependency>
>                 <groupId>org.codehaus.wadi</groupId>
>                 <artifactId>wadi-aop</artifactId>
> @@ -1077,6 +1089,7 @@
>                 <version>${wadiVersion}</version>
>             </dependency>
>
> +            <!-- Jetty web container -->
>             <dependency>
>                 <groupId>org.mortbay.jetty</groupId>
>                 <artifactId>jetty</artifactId>
> @@ -1102,337 +1115,111 @@
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-api</artifactId>
> -                <version>${cxfVersion}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                </exclusions>
> +                <groupId>org.apache.geronimo.specs</groupId>
> +                <artifactId>geronimo-stax-api_1.0_spec</artifactId>
> +                <version>1.0.1</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-metacode</artifactId>
> -                <version>${cxfVersion}</version>
> +                <groupId>woodstox</groupId>
> +                <artifactId>wstx-asl</artifactId>
> +                <version>3.2.1</version>
>                 <exclusions>
>                     <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> +                        <groupId>stax</groupId>
> +                        <artifactId>stax-api</artifactId>
>                     </exclusion>
>                 </exclusions>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-common-utilities</artifactId>
> -                <version>${cxfVersion}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                </exclusions>
> +                <groupId>org.apache.ws.commons.schema</groupId>
> +                <artifactId>XmlSchema</artifactId>
> +                <version>1.3.1</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-core</artifactId>
> -                <version>${cxfVersion}</version>
> +                <groupId>javax.xml.bind</groupId>
> +                <artifactId>jaxb-api</artifactId>
> +                <version>2.0</version>
>                 <exclusions>
>                     <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>com.sun.xml.bind</groupId>
> -                        <artifactId>jaxb-impl</artifactId>
> +                        <groupId>javax.xml.bind</groupId>
> +                        <artifactId>jsr173_api</artifactId>
>                     </exclusion>
>                 </exclusions>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-bindings-xml</artifactId>
> -                <version>${cxfVersion}</version>
> +                <groupId>com.sun.xml.messaging.saaj</groupId>
> +                <artifactId>saaj-impl</artifactId>
> +                <version>1.3</version>
>                 <exclusions>
>                     <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> +                        <groupId>javax.activation</groupId>
> +                        <artifactId>activation</artifactId>
>                     </exclusion>
>                 </exclusions>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-bindings-soap</artifactId>
> -                <version>${cxfVersion}</version>
> +                <groupId>com.sun.xml.bind</groupId>
> +                <artifactId>jaxb-impl</artifactId>
> +                <version>2.0.5</version>
>                 <exclusions>
>                     <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> +                        <groupId>javax.xml.bind</groupId>
> +                        <artifactId>jsr173_api</artifactId>
>                     </exclusion>
>                     <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> +                        <groupId>javax.xml.bind</groupId>
> +                        <artifactId>activation</artifactId>
>                     </exclusion>
>                 </exclusions>
>             </dependency>
>
> +            <!--JSF 1.2 JARs from Apache MyFaces -->
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-databinding-jaxb</artifactId>
> -                <version>${cxfVersion}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>com.sun.xml.bind</groupId>
> -                        <artifactId>jaxb-impl</artifactId>
> -                    </exclusion>
> -                </exclusions>
> +                <groupId>org.apache.myfaces.core</groupId>
> +                <artifactId>myfaces-api</artifactId>
> +                <version>1.2.2</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-frontend-jaxws</artifactId>
> -                <version>${cxfVersion}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>com.sun.xml.bind</groupId>
> -                        <artifactId>jaxb-impl</artifactId>
> -                    </exclusion>
> -                </exclusions>
> +                <groupId>org.apache.myfaces.core</groupId>
> +                <artifactId>myfaces-impl</artifactId>
> +                <version>1.2.2</version>
>             </dependency>
>
> +            <!--Axis2 modules dependencies-->
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-frontend-simple</artifactId>
> -                <version>${cxfVersion}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                </exclusions>
> +                <groupId>org.apache.axis2</groupId>
> +                <artifactId>axis2-java2wsdl</artifactId>
> +                <version>${axis2Version}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-rt-transports-http</artifactId>
> -                <version>${cxfVersion}</version>
> +                <groupId>org.apache.axis2</groupId>
> +                <artifactId>axis2-kernel</artifactId>
> +                <version>${axis2Version}</version>
>                 <exclusions>
>                     <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>com.sun.xml.bind</groupId>
> -                        <artifactId>jaxb-impl</artifactId>
> +                        <groupId>org.apache.woden</groupId>
> +                        <artifactId>woden</artifactId>
>                     </exclusion>
>                 </exclusions>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.cxf</groupId>
> -                <artifactId>cxf-tools-common</artifactId>
> -                <version>${cxfVersion}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.annotation</groupId>
> -                        <artifactId>jsr250-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.jws</groupId>
> -                        <artifactId>jsr181-api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>com.sun.xml.bind</groupId>
> -                        <artifactId>jaxb-impl</artifactId>
> -                    </exclusion>
> -                </exclusions>
> +                <groupId>org.apache.axis2</groupId>
> +                <artifactId>axis2-adb</artifactId>
> +                <version>${axis2Version}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.geronimo.specs</groupId>
> -                <artifactId>geronimo-stax-api_1.0_spec</artifactId>
> -                <version>1.0.1</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>woodstox</groupId>
> -                <artifactId>wstx-asl</artifactId>
> -                <version>3.2.1</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>stax</groupId>
> -                        <artifactId>stax-api</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.apache.ws.commons.schema</groupId>
> -                <artifactId>XmlSchema</artifactId>
> -                <version>1.3.1</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>javax.xml.bind</groupId>
> -                <artifactId>jaxb-api</artifactId>
> -                <version>2.0</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.xml.bind</groupId>
> -                        <artifactId>jsr173_api</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>com.sun.xml.messaging.saaj</groupId>
> -                <artifactId>saaj-impl</artifactId>
> -                <version>1.3</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.activation</groupId>
> -                        <artifactId>activation</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>com.sun.xml.bind</groupId>
> -                <artifactId>jaxb-impl</artifactId>
> -                <version>2.0.5</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>javax.xml.bind</groupId>
> -                        <artifactId>jsr173_api</artifactId>
> -                    </exclusion>
> -                    <exclusion>
> -                        <groupId>javax.xml.bind</groupId>
> -                        <artifactId>activation</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.springframework</groupId>
> -                <artifactId>spring</artifactId>
> -                <version>${springVersion}</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.springframework</groupId>
> -                <artifactId>spring-core</artifactId>
> -                <version>${springVersion}</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.springframework</groupId>
> -                <artifactId>spring-beans</artifactId>
> -                <version>${springVersion}</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.springframework</groupId>
> -                <artifactId>spring-context</artifactId>
> -                <version>${springVersion}</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.springframework</groupId>
> -                <artifactId>spring-web</artifactId>
> -                <version>${springVersion}</version>
> -            </dependency>
> -
> -            <!--JSF 1.2 JARs from Apache MyFaces -->
> -            <dependency>
> -                <groupId>org.apache.myfaces.core</groupId>
> -                <artifactId>myfaces-api</artifactId>
> -                <version>1.2.2</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.apache.myfaces.core</groupId>
> -                <artifactId>myfaces-impl</artifactId>
> -                <version>1.2.2</version>
> -            </dependency>
> -
> -            <!--Axis2 modules dependencies-->
> -            <dependency>
> -                <groupId>org.apache.axis2</groupId>
> -                <artifactId>axis2-java2wsdl</artifactId>
> -                <version>${axis2Version}</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.apache.axis2</groupId>
> -                <artifactId>axis2-kernel</artifactId>
> -                <version>${axis2Version}</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>org.apache.woden</groupId>
> -                        <artifactId>woden</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.apache.axis2</groupId>
> -                <artifactId>axis2-adb</artifactId>
> -                <version>${axis2Version}</version>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.apache.axis2</groupId>
> -                <artifactId>axis2-jaxws-api</artifactId>
> -                <version>${axis2Version}</version>
> +                <groupId>org.apache.axis2</groupId>
> +                <artifactId>axis2-jaxws-api</artifactId>
> +                <version>${axis2Version}</version>
>             </dependency>
>
>             <dependency>
> @@ -1530,30 +1317,6 @@
>             </dependency>
>
>             <dependency>
> -                <groupId>commons-httpclient</groupId>
> -                <artifactId>commons-httpclient</artifactId>
> -                <version>3.0.1</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>junit</groupId>
> -                        <artifactId>junit</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>commons-codec</groupId>
> -                <artifactId>commons-codec</artifactId>
> -                <version>1.3</version>
> -                <exclusions>
> -                    <exclusion>
> -                        <groupId>junit</groupId>
> -                        <artifactId>junit</artifactId>
> -                    </exclusion>
> -                </exclusions>
> -            </dependency>
> -
> -            <dependency>
>                 <groupId>jaxen</groupId>
>                 <artifactId>jaxen</artifactId>
>                 <version>1.1-beta-11</version>
> @@ -1565,116 +1328,108 @@
>                 <version>0.1.0</version>
>             </dependency>
>
> -            <dependency>
> -                <groupId>org.dojotoolkit</groupId>
> -                <artifactId>dojo</artifactId>
> -                <version>${dojoVersion}</version>
> -                <type>tgz</type>
> -            </dependency>
> -
> -            <dependency>
> -                <groupId>org.dojotoolkit</groupId>
> -                <artifactId>dojolegacy</artifactId>
> -                <version>${dojoLegacyVersion}</version>
> -                <type>tgz</type>
> -            </dependency>
> -
> -            <!-- GShell Support -->
> -
> +            <!-- GShell Framework Support -->
> +            <!-- TODO - Remove gshell-embeddable once G4012 work is done -->
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell</groupId>
>                 <artifactId>gshell-embeddable</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell</groupId>
>                 <artifactId>gshell-bootstrap</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell</groupId>
> -                <artifactId>gshell-command-api</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <artifactId>gshell-cli</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell</groupId>
> -                <artifactId>gshell-core</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <artifactId>gshell-command-api</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell</groupId>
> -                <artifactId>gshell-cli</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <artifactId>gshell-core</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell</groupId>
> -                <artifactId>gshell-whisper</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <artifactId>gshell-parser</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.apache.geronimo.gshell.commands</groupId>
>                 <artifactId>gshell-builtins</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.geronimo.gshell.remote</groupId>
> -                <artifactId>gshell-remote-client</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <groupId>org.apache.geronimo.gshell.support</groupId>
> +                <artifactId>gshell-ansi</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.geronimo.gshell.remote</groupId>
> -                <artifactId>gshell-remote-common</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <groupId>org.apache.geronimo.gshell.support</groupId>
> +                <artifactId>gshell-clp</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.geronimo.gshell.remote</groupId>
> -                <artifactId>gshell-remote-server</artifactId>
> -                <version>1.0-alpha-1</version>
> +                <groupId>org.apache.geronimo.gshell.support</groupId>
> +                <artifactId>gshell-common</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.mina</groupId>
> -                <artifactId>mina-core</artifactId>
> -                <version>1.1.5</version>
> +                <groupId>org.apache.geronimo.gshell.support</groupId>
> +                <artifactId>gshell-i18n</artifactId>
> +                <version>${gshellVersion}</version>
>             </dependency>
>
>             <dependency>
> -                <groupId>org.apache.mina</groupId>
> -                <artifactId>mina-filter-ssl</artifactId>
> -                <version>1.1.5</version>
> +                <groupId>org.apache.geronimo.gshell.support</groupId>
> +                <artifactId>gshell-prefs</artifactId>
> +                <version>${gshellVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>jline</groupId>
> +                <artifactId>jline</artifactId>
> +                <version>0.9.94</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.codehaus.groovy.maven</groupId>
>                 <artifactId>gmaven-mojo</artifactId>
> -                <version>1.0-rc-2</version>
> +                <version>${gmavenVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.codehaus.groovy.maven.runtime</groupId>
>                 <artifactId>gmaven-runtime-default</artifactId>
> -                <version>1.0-rc-2</version>
> +                <version>${gmavenVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.codehaus.groovy.maven.support</groupId>
>                 <artifactId>slf4j-gossip</artifactId>
> -                <version>1.0-rc-2</version>
> +                <version>${gmavenVersion}</version>
>             </dependency>
>
>             <dependency>
>                 <groupId>org.codehaus.groovy</groupId>
>                 <artifactId>groovy-all-minimal</artifactId>
> -                <version>1.5.6</version>
> +                <version>${groovyVersion}</version>
>             </dependency>
>
>             <dependency>
> @@ -1690,6 +1445,74 @@
>             </dependency>
>
>             <dependency>
> +                <groupId>org.codehaus.plexus</groupId>
> +                <artifactId>plexus-classworlds</artifactId>
> +                <version>1.2-alpha-10</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.codehaus.plexus</groupId>
> +                <artifactId>plexus-component-annotations</artifactId>
> +                <version>1.0-alpha-1</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.codehaus.plexus</groupId>
> +                <artifactId>plexus-component-api</artifactId>
> +                <version>1.0-alpha-32</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.codehaus.plexus</groupId>
> +                <artifactId>plexus-container-default</artifactId>
> +                <version>1.0-alpha-32</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.codehaus.plexus</groupId>
> +                <artifactId>plexus-utils</artifactId>
> +                <version>1.4.5</version>
> +            </dependency>
> +
> +            <!-- GShell Remote Support -->
> +            <dependency>
> +                <groupId>org.apache.geronimo.gshell</groupId>
> +                <artifactId>gshell-whisper</artifactId>
> +                <version>${gshellVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.geronimo.gshell.remote</groupId>
> +                <artifactId>gshell-remote-client</artifactId>
> +                <version>${gshellVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.geronimo.gshell.remote</groupId>
> +                <artifactId>gshell-remote-common</artifactId>
> +                <version>${gshellVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.geronimo.gshell.remote</groupId>
> +                <artifactId>gshell-remote-server</artifactId>
> +                <version>${gshellVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.mina</groupId>
> +                <artifactId>mina-core</artifactId>
> +                <version>${minaVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.mina</groupId>
> +                <artifactId>mina-filter-ssl</artifactId>
> +                <version>${minaVersion}</version>
> +            </dependency>
> +
> +            <!-- Admin Console support -->
> +            <dependency>
>                 <groupId>org.apache.pluto</groupId>
>                 <artifactId>pluto-portal-driver</artifactId>
>                 <version>${plutoVersion}</version>
> @@ -1813,6 +1636,20 @@
>                 <version>${plutoVersion}</version>
>             </dependency>
>
> +            <dependency>
> +                <groupId>org.dojotoolkit</groupId>
> +                <artifactId>dojo</artifactId>
> +                <version>${dojoVersion}</version>
> +                <type>tgz</type>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.dojotoolkit</groupId>
> +                <artifactId>dojolegacy</artifactId>
> +                <version>${dojoLegacyVersion}</version>
> +                <type>tgz</type>
> +            </dependency>
> +
>             <!-- archive support -->
>             <!-- archiver version matches maven 2.0.7.  Upgrading maven may require upgrading this version -->
>             <dependency>
> @@ -1820,23 +1657,233 @@
>                 <artifactId>plexus-archiver</artifactId>
>                 <version>1.0-alpha-7</version>
>             </dependency>
> -
> +
> +            <!-- Spring Plugin -->
>             <dependency>
> -                <groupId>org.codehaus.plexus</groupId>
> -                <artifactId>plexus-utils</artifactId>
> -                <version>1.4.1</version>
> +                <groupId>org.springframework</groupId>
> +                <artifactId>spring</artifactId>
> +                <version>${springVersion}</version>
>             </dependency>
> -
> +
>             <dependency>
> -                <groupId>org.codehaus.plexus</groupId>
> -                <artifactId>plexus-container-default</artifactId>
> -                <version>1.0-alpha-9</version>
> +                <groupId>org.springframework</groupId>
> +                <artifactId>spring-core</artifactId>
> +                <version>${springVersion}</version>
>             </dependency>
> -
> +
>             <dependency>
> -                <groupId>org.codehaus.plexus</groupId>
> -                <artifactId>plexus-component-api</artifactId>
> -                <version>1.0-alpha-15</version>
> +                <groupId>org.springframework</groupId>
> +                <artifactId>spring-beans</artifactId>
> +                <version>${springVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.springframework</groupId>
> +                <artifactId>spring-context</artifactId>
> +                <version>${springVersion}</version>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.springframework</groupId>
> +                <artifactId>spring-web</artifactId>
> +                <version>${springVersion}</version>
> +            </dependency>
> +
> +            <!-- CXF Plugin -->
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-api</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-metacode</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-common-utilities</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-core</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>com.sun.xml.bind</groupId>
> +                        <artifactId>jaxb-impl</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-bindings-xml</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-bindings-soap</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-databinding-jaxb</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>com.sun.xml.bind</groupId>
> +                        <artifactId>jaxb-impl</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-frontend-jaxws</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>com.sun.xml.bind</groupId>
> +                        <artifactId>jaxb-impl</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-frontend-simple</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-rt-transports-http</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>com.sun.xml.bind</groupId>
> +                        <artifactId>jaxb-impl</artifactId>
> +                    </exclusion>
> +                </exclusions>
> +            </dependency>
> +
> +            <dependency>
> +                <groupId>org.apache.cxf</groupId>
> +                <artifactId>cxf-tools-common</artifactId>
> +                <version>${cxfVersion}</version>
> +                <exclusions>
> +                    <exclusion>
> +                        <groupId>javax.annotation</groupId>
> +                        <artifactId>jsr250-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>javax.jws</groupId>
> +                        <artifactId>jsr181-api</artifactId>
> +                    </exclusion>
> +                    <exclusion>
> +                        <groupId>com.sun.xml.bind</groupId>
> +                        <artifactId>jaxb-impl</artifactId>
> +                    </exclusion>
> +                </exclusions>
>             </dependency>
>         </dependencies>
>     </dependencyManagement>
> @@ -2582,7 +2629,6 @@
>                 </plugins>
>             </build>
>         </profile>
> -
>     </profiles>
>
>  </project>
>
>
>

Mime
View raw message